package com.palmnest.dao.estateserve;

import java.util.List;

import com.palmnest.application.bean.Page;
import com.palmnest.dao.GenericDao;
import com.palmnest.model.estateserve.ServiceTypeInfo;

/**
 * 服务内容信息DAO层
 *
 * @author 金牙
 */
public interface ServiceTypeInfoDao extends GenericDao<ServiceTypeInfo, Integer> {

	/**
	 * 查询平台所有服务列表
	 *
	 * @param pageNo
	 * @param pageSize
	 * @param whereSql
	 * @return
	 */
	public Page serviceTypeInfoPage(Integer pageNo, Integer pageSize, String whereSql) throws Exception;

	/**
	 * 根据主键ID查询服务
	 *
	 * @param serviceTypeId
	 * @return
	 */
	public ServiceTypeInfo getServiceTypeInfo(Integer serviceTypeId);

	/**
	 * 根据项目ID删除私有服务信息
	 *
	 * @param orgId
	 */
	public void deleteServiceTypeInfo(String orgId);

	/**
	 * 根据服务编码查询服务
	 *
	 * @param serviceCode
	 * @return
	 */
	public ServiceTypeInfo getServiceTypeInfo(String serviceCode);

	public List<ServiceTypeInfo> getServiceTypeInfoByShkipAddress(String shkipAddress);

	public int maxId();

	ServiceTypeInfo getServiceTypeInfoByServiceCode(String serviceCode);
}
